<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::ConstTrack Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_const_track.html">ConstTrack</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_const_track-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::ConstTrack Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_track_const_8h_source.html">TrackConst.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3579ea98718872dcfd2343b06e8077fc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#a3579ea98718872dcfd2343b06e8077fc">ConstTrack</a> ()</td></tr>
<tr class="memdesc:a3579ea98718872dcfd2343b06e8077fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">default constructor  <a href="#a3579ea98718872dcfd2343b06e8077fc">More...</a><br /></td></tr>
<tr class="separator:a3579ea98718872dcfd2343b06e8077fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abaafc73ad93b87de5f39bd37da4d123e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#abaafc73ad93b87de5f39bd37da4d123e">ConstTrack</a> (float <a class="el" href="classeic_1_1_const_track.html#a0d1a24e14e63e66172242dfbc2ecdf36">chi2</a>, int <a class="el" href="classeic_1_1_const_track.html#ab88d0e954c011b49884d1f5dddd61bd8">ndf</a>, float <a class="el" href="classeic_1_1_const_track.html#aa1db4e467929571e16c4bd09f5cc63da">dEdx</a>, float <a class="el" href="classeic_1_1_const_track.html#addfa4e78fb37e7be8ed377070ac407b5">dEdxError</a>, float <a class="el" href="classeic_1_1_const_track.html#abf411330c8a783e7a3cec9dea4c280a8">radiusOfInnermostHit</a>)</td></tr>
<tr class="separator:abaafc73ad93b87de5f39bd37da4d123e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d8c39da2a1659d88a955fff4301c74b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#a9d8c39da2a1659d88a955fff4301c74b">ConstTrack</a> (<a class="el" href="classeic_1_1_track_obj.html">TrackObj</a> *obj)</td></tr>
<tr class="memdesc:a9d8c39da2a1659d88a955fff4301c74b"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor from existing <a class="el" href="classeic_1_1_track_obj.html">TrackObj</a>  <a href="#a9d8c39da2a1659d88a955fff4301c74b">More...</a><br /></td></tr>
<tr class="separator:a9d8c39da2a1659d88a955fff4301c74b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ff2c322d0f2ef65f2fa767e950f4719"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#a7ff2c322d0f2ef65f2fa767e950f4719">ConstTrack</a> (const <a class="el" href="classeic_1_1_const_track.html">ConstTrack</a> &amp;other)</td></tr>
<tr class="memdesc:a7ff2c322d0f2ef65f2fa767e950f4719"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor  <a href="#a7ff2c322d0f2ef65f2fa767e950f4719">More...</a><br /></td></tr>
<tr class="separator:a7ff2c322d0f2ef65f2fa767e950f4719"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24b51dc29c20f2d6e9c3196b163e91ed"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_const_track.html">ConstTrack</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#a24b51dc29c20f2d6e9c3196b163e91ed">operator=</a> (const <a class="el" href="classeic_1_1_const_track.html">ConstTrack</a> &amp;other)</td></tr>
<tr class="memdesc:a24b51dc29c20f2d6e9c3196b163e91ed"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy-assignment operator  <a href="#a24b51dc29c20f2d6e9c3196b163e91ed">More...</a><br /></td></tr>
<tr class="separator:a24b51dc29c20f2d6e9c3196b163e91ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18ca8953fa8cd45eb8f5e4028d9278cc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_const_track.html">ConstTrack</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#a18ca8953fa8cd45eb8f5e4028d9278cc">clone</a> () const</td></tr>
<tr class="memdesc:a18ca8953fa8cd45eb8f5e4028d9278cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">support cloning (deep-copy)  <a href="#a18ca8953fa8cd45eb8f5e4028d9278cc">More...</a><br /></td></tr>
<tr class="separator:a18ca8953fa8cd45eb8f5e4028d9278cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2b26a4f8351004a625807ded3e20b64"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#ae2b26a4f8351004a625807ded3e20b64">~ConstTrack</a> ()</td></tr>
<tr class="memdesc:ae2b26a4f8351004a625807ded3e20b64"><td class="mdescLeft">&#160;</td><td class="mdescRight">destructor  <a href="#ae2b26a4f8351004a625807ded3e20b64">More...</a><br /></td></tr>
<tr class="separator:ae2b26a4f8351004a625807ded3e20b64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d1a24e14e63e66172242dfbc2ecdf36"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#a0d1a24e14e63e66172242dfbc2ecdf36">chi2</a> () const</td></tr>
<tr class="memdesc:a0d1a24e14e63e66172242dfbc2ecdf36"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Chi2.  <a href="#a0d1a24e14e63e66172242dfbc2ecdf36">More...</a><br /></td></tr>
<tr class="separator:a0d1a24e14e63e66172242dfbc2ecdf36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab88d0e954c011b49884d1f5dddd61bd8"><td class="memItemLeft" align="right" valign="top">const int &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#ab88d0e954c011b49884d1f5dddd61bd8">ndf</a> () const</td></tr>
<tr class="memdesc:ab88d0e954c011b49884d1f5dddd61bd8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Number of degrees of freedom of the track fit.  <a href="#ab88d0e954c011b49884d1f5dddd61bd8">More...</a><br /></td></tr>
<tr class="separator:ab88d0e954c011b49884d1f5dddd61bd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1db4e467929571e16c4bd09f5cc63da"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#aa1db4e467929571e16c4bd09f5cc63da">dEdx</a> () const</td></tr>
<tr class="memdesc:aa1db4e467929571e16c4bd09f5cc63da"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the dEdx of the track.  <a href="#aa1db4e467929571e16c4bd09f5cc63da">More...</a><br /></td></tr>
<tr class="separator:aa1db4e467929571e16c4bd09f5cc63da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addfa4e78fb37e7be8ed377070ac407b5"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#addfa4e78fb37e7be8ed377070ac407b5">dEdxError</a> () const</td></tr>
<tr class="memdesc:addfa4e78fb37e7be8ed377070ac407b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Error of dEdx.  <a href="#addfa4e78fb37e7be8ed377070ac407b5">More...</a><br /></td></tr>
<tr class="separator:addfa4e78fb37e7be8ed377070ac407b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf411330c8a783e7a3cec9dea4c280a8"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#abf411330c8a783e7a3cec9dea4c280a8">radiusOfInnermostHit</a> () const</td></tr>
<tr class="memdesc:abf411330c8a783e7a3cec9dea4c280a8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The radius of the innermost hit that has been used in the track fit.  <a href="#abf411330c8a783e7a3cec9dea4c280a8">More...</a><br /></td></tr>
<tr class="separator:abf411330c8a783e7a3cec9dea4c280a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa43ec8730eefbf00d888c269a8bc177"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#aaa43ec8730eefbf00d888c269a8bc177">tracks_size</a> () const</td></tr>
<tr class="separator:aaa43ec8730eefbf00d888c269a8bc177"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f735936f4367eda715db1a73dd45edb"><td class="memItemLeft" align="right" valign="top">::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#a2f735936f4367eda715db1a73dd45edb">tracks</a> (unsigned int) const</td></tr>
<tr class="separator:a2f735936f4367eda715db1a73dd45edb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70732376727749c87dea6b3453af376f"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#a70732376727749c87dea6b3453af376f">tracks_begin</a> () const</td></tr>
<tr class="separator:a70732376727749c87dea6b3453af376f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80fdcdc2d9f9dcb6cfc7a7c8907c8fa9"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#a80fdcdc2d9f9dcb6cfc7a7c8907c8fa9">tracks_end</a> () const</td></tr>
<tr class="separator:a80fdcdc2d9f9dcb6cfc7a7c8907c8fa9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cb5b21471b6b0c78afbfcdd73423d9c"><td class="memItemLeft" align="right" valign="top">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#a4cb5b21471b6b0c78afbfcdd73423d9c">tracks</a> () const</td></tr>
<tr class="separator:a4cb5b21471b6b0c78afbfcdd73423d9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a541cdf50b32f8821917f51db2680d0d7"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#a541cdf50b32f8821917f51db2680d0d7">hits_size</a> () const</td></tr>
<tr class="separator:a541cdf50b32f8821917f51db2680d0d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa90c947c919fe161dcf35402e42d0a04"><td class="memItemLeft" align="right" valign="top">::<a class="el" href="classeic_1_1_const_tracker_hit.html">eic::ConstTrackerHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#aa90c947c919fe161dcf35402e42d0a04">hits</a> (unsigned int) const</td></tr>
<tr class="separator:aa90c947c919fe161dcf35402e42d0a04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d579b83f05a086b4ea25802c3e9b05e"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_tracker_hit.html">eic::ConstTrackerHit</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#a1d579b83f05a086b4ea25802c3e9b05e">hits_begin</a> () const</td></tr>
<tr class="separator:a1d579b83f05a086b4ea25802c3e9b05e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa70bf78eba31d07994a8b65a5704f125"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_tracker_hit.html">eic::ConstTrackerHit</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#aa70bf78eba31d07994a8b65a5704f125">hits_end</a> () const</td></tr>
<tr class="separator:aa70bf78eba31d07994a8b65a5704f125"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51592cf2dda7b7de38c47b37a752fdbc"><td class="memItemLeft" align="right" valign="top">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_tracker_hit.html">eic::ConstTrackerHit</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#a51592cf2dda7b7de38c47b37a752fdbc">hits</a> () const</td></tr>
<tr class="separator:a51592cf2dda7b7de38c47b37a752fdbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36c534077c53eed53c217d5421daa088"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#a36c534077c53eed53c217d5421daa088">trackStates_size</a> () const</td></tr>
<tr class="separator:a36c534077c53eed53c217d5421daa088"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44860c5b0826bb30137b0ef4ea9710c0"><td class="memItemLeft" align="right" valign="top">::<a class="el" href="classeic_1_1_const_track_state.html">eic::ConstTrackState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#a44860c5b0826bb30137b0ef4ea9710c0">trackStates</a> (unsigned int) const</td></tr>
<tr class="separator:a44860c5b0826bb30137b0ef4ea9710c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a213273456dcb183ccce6300f9556a880"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_track_state.html">eic::ConstTrackState</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#a213273456dcb183ccce6300f9556a880">trackStates_begin</a> () const</td></tr>
<tr class="separator:a213273456dcb183ccce6300f9556a880"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae40041a60ede4076273db7f409a227c6"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_track_state.html">eic::ConstTrackState</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#ae40041a60ede4076273db7f409a227c6">trackStates_end</a> () const</td></tr>
<tr class="separator:ae40041a60ede4076273db7f409a227c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa94a6040214df7ee8f306284a72c2b9"><td class="memItemLeft" align="right" valign="top">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_track_state.html">eic::ConstTrackState</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#aaa94a6040214df7ee8f306284a72c2b9">trackStates</a> () const</td></tr>
<tr class="separator:aaa94a6040214df7ee8f306284a72c2b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0914e28deba03af0a28ae6b4ce047dba"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#a0914e28deba03af0a28ae6b4ce047dba">isAvailable</a> () const</td></tr>
<tr class="memdesc:a0914e28deba03af0a28ae6b4ce047dba"><td class="mdescLeft">&#160;</td><td class="mdescRight">check whether the object is actually available  <a href="#a0914e28deba03af0a28ae6b4ce047dba">More...</a><br /></td></tr>
<tr class="separator:a0914e28deba03af0a28ae6b4ce047dba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae5dbec0adaa57b844076c618b5b80b8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#aae5dbec0adaa57b844076c618b5b80b8">unlink</a> ()</td></tr>
<tr class="memdesc:aae5dbec0adaa57b844076c618b5b80b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">disconnect from <a class="el" href="classeic_1_1_track_obj.html">TrackObj</a> instance  <a href="#aae5dbec0adaa57b844076c618b5b80b8">More...</a><br /></td></tr>
<tr class="separator:aae5dbec0adaa57b844076c618b5b80b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a955402624bb74807d16f6299e7f9fbc2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#a955402624bb74807d16f6299e7f9fbc2">operator==</a> (const <a class="el" href="classeic_1_1_const_track.html">ConstTrack</a> &amp;other) const</td></tr>
<tr class="separator:a955402624bb74807d16f6299e7f9fbc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a853bc37e8cce23815c04fc2f01158f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#a8a853bc37e8cce23815c04fc2f01158f">operator==</a> (const <a class="el" href="classeic_1_1_track.html">Track</a> &amp;other) const</td></tr>
<tr class="separator:a8a853bc37e8cce23815c04fc2f01158f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac11ad9c9d1cf053f9a8fc51766d4a81"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#aac11ad9c9d1cf053f9a8fc51766d4a81">operator&lt;</a> (const <a class="el" href="classeic_1_1_const_track.html">ConstTrack</a> &amp;other) const</td></tr>
<tr class="separator:aac11ad9c9d1cf053f9a8fc51766d4a81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa98ccc2786694adc6579357b58b35dfb"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#aa98ccc2786694adc6579357b58b35dfb">id</a> () const</td></tr>
<tr class="separator:aa98ccc2786694adc6579357b58b35dfb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5cd2340253ed15ed38c1e6cfcdf4f05"><td class="memItemLeft" align="right" valign="top">const podio::ObjectID&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_track.html#ab5cd2340253ed15ed38c1e6cfcdf4f05">getObjectID</a> () const</td></tr>
<tr class="separator:ab5cd2340253ed15ed38c1e6cfcdf4f05"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>EIC reconstructed track </p><dl class="section author"><dt>Author</dt><dd>: F.Gaede, B. Hegner </dd></dl>

<p class="definition">Definition at line <a class="el" href="_track_const_8h_source.html#l00027">27</a> of file <a class="el" href="_track_const_8h_source.html">TrackConst.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a3579ea98718872dcfd2343b06e8077fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3579ea98718872dcfd2343b06e8077fc">&#9670;&nbsp;</a></span>ConstTrack() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstTrack::ConstTrack </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>default constructor </p>

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00016">16</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

</div>
</div>
<a id="abaafc73ad93b87de5f39bd37da4d123e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abaafc73ad93b87de5f39bd37da4d123e">&#9670;&nbsp;</a></span>ConstTrack() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstTrack::ConstTrack </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>chi2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>ndf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>dEdx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>dEdxError</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>radiusOfInnermostHit</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00020">20</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_data_8h_source.html#l00016">eic::TrackData::chi2</a>, <a class="el" href="_track_const_8cc_source.html#l00050">chi2()</a>, <a class="el" href="_track_obj_8h_source.html#l00034">eic::TrackObj::data</a>, <a class="el" href="_track_data_8h_source.html#l00018">eic::TrackData::dEdx</a>, <a class="el" href="_track_const_8cc_source.html#l00052">dEdx()</a>, <a class="el" href="_track_data_8h_source.html#l00019">eic::TrackData::dEdxError</a>, <a class="el" href="_track_const_8cc_source.html#l00053">dEdxError()</a>, <a class="el" href="_track_data_8h_source.html#l00017">eic::TrackData::ndf</a>, <a class="el" href="_track_const_8cc_source.html#l00051">ndf()</a>, <a class="el" href="_track_data_8h_source.html#l00020">eic::TrackData::radiusOfInnermostHit</a>, and <a class="el" href="_track_const_8cc_source.html#l00054">radiusOfInnermostHit()</a>.</p>

</div>
</div>
<a id="a9d8c39da2a1659d88a955fff4301c74b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d8c39da2a1659d88a955fff4301c74b">&#9670;&nbsp;</a></span>ConstTrack() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstTrack::ConstTrack </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_track_obj.html">TrackObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor from existing <a class="el" href="classeic_1_1_track_obj.html">TrackObj</a> </p>

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00039">39</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

</div>
</div>
<a id="a7ff2c322d0f2ef65f2fa767e950f4719"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ff2c322d0f2ef65f2fa767e950f4719">&#9670;&nbsp;</a></span>ConstTrack() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstTrack::ConstTrack </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_track.html">ConstTrack</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor </p>

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00029">29</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

</div>
</div>
<a id="ae2b26a4f8351004a625807ded3e20b64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2b26a4f8351004a625807ded3e20b64">&#9670;&nbsp;</a></span>~ConstTrack()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstTrack::~ConstTrack </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>destructor </p>

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00047">47</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a0d1a24e14e63e66172242dfbc2ecdf36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d1a24e14e63e66172242dfbc2ecdf36">&#9670;&nbsp;</a></span>chi2()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::ConstTrack::chi2 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Chi2. </p>

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00050">50</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_data_8h_source.html#l00016">eic::TrackData::chi2</a>, and <a class="el" href="_track_obj_8h_source.html#l00034">eic::TrackObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_const_8cc_source.html#l00020">ConstTrack()</a>, and <a class="el" href="_track_8cc_source.html#l00197">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a18ca8953fa8cd45eb8f5e4028d9278cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18ca8953fa8cd45eb8f5e4028d9278cc">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_track.html">ConstTrack</a> eic::ConstTrack::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>support cloning (deep-copy) </p>

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00043">43</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

</div>
</div>
<a id="aa1db4e467929571e16c4bd09f5cc63da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1db4e467929571e16c4bd09f5cc63da">&#9670;&nbsp;</a></span>dEdx()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::ConstTrack::dEdx </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the dEdx of the track. </p>

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00052">52</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_obj_8h_source.html#l00034">eic::TrackObj::data</a>, and <a class="el" href="_track_data_8h_source.html#l00018">eic::TrackData::dEdx</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_const_8cc_source.html#l00020">ConstTrack()</a>, and <a class="el" href="_track_8cc_source.html#l00197">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="addfa4e78fb37e7be8ed377070ac407b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#addfa4e78fb37e7be8ed377070ac407b5">&#9670;&nbsp;</a></span>dEdxError()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::ConstTrack::dEdxError </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Error of dEdx. </p>

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00053">53</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_obj_8h_source.html#l00034">eic::TrackObj::data</a>, and <a class="el" href="_track_data_8h_source.html#l00019">eic::TrackData::dEdxError</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_const_8cc_source.html#l00020">ConstTrack()</a>, and <a class="el" href="_track_8cc_source.html#l00197">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ab5cd2340253ed15ed38c1e6cfcdf4f05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5cd2340253ed15ed38c1e6cfcdf4f05">&#9670;&nbsp;</a></span>getObjectID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const podio::ObjectID eic::ConstTrack::getObjectID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00164">164</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_const_8h_source.html#l00101">id()</a>.</p>

</div>
</div>
<a id="aa90c947c919fe161dcf35402e42d0a04"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa90c947c919fe161dcf35402e42d0a04">&#9670;&nbsp;</a></span>hits() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_tracker_hit.html">eic::ConstTrackerHit</a> eic::ConstTrack::hits </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00106">106</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_obj_8h_source.html#l00034">eic::TrackObj::data</a>, <a class="el" href="_track_data_8h_source.html#l00024">eic::TrackData::hits_begin</a>, <a class="el" href="_track_const_8cc_source.html#l00102">hits_size()</a>, and <a class="el" href="_track_obj_8h_source.html#l00036">eic::TrackObj::m_hits</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_8cc_source.html#l00197">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a51592cf2dda7b7de38c47b37a752fdbc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51592cf2dda7b7de38c47b37a752fdbc">&#9670;&nbsp;</a></span>hits() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_tracker_hit.html">eic::ConstTrackerHit</a> &gt; eic::ConstTrack::hits </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00113">113</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_obj_8h_source.html#l00034">eic::TrackObj::data</a>, <a class="el" href="_track_data_8h_source.html#l00024">eic::TrackData::hits_begin</a>, <a class="el" href="_track_data_8h_source.html#l00025">eic::TrackData::hits_end</a>, and <a class="el" href="_track_obj_8h_source.html#l00036">eic::TrackObj::m_hits</a>.</p>

</div>
</div>
<a id="a1d579b83f05a086b4ea25802c3e9b05e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d579b83f05a086b4ea25802c3e9b05e">&#9670;&nbsp;</a></span>hits_begin()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_tracker_hit.html">eic::ConstTrackerHit</a> &gt;::const_iterator eic::ConstTrack::hits_begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00090">90</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_obj_8h_source.html#l00034">eic::TrackObj::data</a>, <a class="el" href="_track_data_8h_source.html#l00024">eic::TrackData::hits_begin</a>, and <a class="el" href="_track_obj_8h_source.html#l00036">eic::TrackObj::m_hits</a>.</p>

</div>
</div>
<a id="aa70bf78eba31d07994a8b65a5704f125"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa70bf78eba31d07994a8b65a5704f125">&#9670;&nbsp;</a></span>hits_end()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_tracker_hit.html">eic::ConstTrackerHit</a> &gt;::const_iterator eic::ConstTrack::hits_end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00096">96</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_obj_8h_source.html#l00034">eic::TrackObj::data</a>, <a class="el" href="_track_data_8h_source.html#l00025">eic::TrackData::hits_end</a>, and <a class="el" href="_track_obj_8h_source.html#l00036">eic::TrackObj::m_hits</a>.</p>

</div>
</div>
<a id="a541cdf50b32f8821917f51db2680d0d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a541cdf50b32f8821917f51db2680d0d7">&#9670;&nbsp;</a></span>hits_size()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ConstTrack::hits_size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00102">102</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_obj_8h_source.html#l00034">eic::TrackObj::data</a>, <a class="el" href="_track_data_8h_source.html#l00024">eic::TrackData::hits_begin</a>, and <a class="el" href="_track_data_8h_source.html#l00025">eic::TrackData::hits_end</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_const_8cc_source.html#l00106">hits()</a>, and <a class="el" href="_track_8cc_source.html#l00197">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="aa98ccc2786694adc6579357b58b35dfb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa98ccc2786694adc6579357b58b35dfb">&#9670;&nbsp;</a></span>id()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ConstTrack::id </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_const_8h_source.html#l00101">101</a> of file <a class="el" href="_track_const_8h_source.html">TrackConst.h</a>.</p>

<p class="reference">References <a class="el" href="_track_const_8cc_source.html#l00164">getObjectID()</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_8cc_source.html#l00197">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a0914e28deba03af0a28ae6b4ce047dba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0914e28deba03af0a28ae6b4ce047dba">&#9670;&nbsp;</a></span>isAvailable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstTrack::isAvailable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>check whether the object is actually available </p>

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00157">157</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

</div>
</div>
<a id="ab88d0e954c011b49884d1f5dddd61bd8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab88d0e954c011b49884d1f5dddd61bd8">&#9670;&nbsp;</a></span>ndf()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int &amp; eic::ConstTrack::ndf </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Number of degrees of freedom of the track fit. </p>

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00051">51</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_obj_8h_source.html#l00034">eic::TrackObj::data</a>, and <a class="el" href="_track_data_8h_source.html#l00017">eic::TrackData::ndf</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_const_8cc_source.html#l00020">ConstTrack()</a>, and <a class="el" href="_track_8cc_source.html#l00197">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="aac11ad9c9d1cf053f9a8fc51766d4a81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac11ad9c9d1cf053f9a8fc51766d4a81">&#9670;&nbsp;</a></span>operator<()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstTrack::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_track.html">ConstTrack</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_const_8h_source.html#l00099">99</a> of file <a class="el" href="_track_const_8h_source.html">TrackConst.h</a>.</p>

</div>
</div>
<a id="a24b51dc29c20f2d6e9c3196b163e91ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24b51dc29c20f2d6e9c3196b163e91ed">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_track.html">ConstTrack</a> &amp; eic::ConstTrack::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_track.html">ConstTrack</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy-assignment operator </p>

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00033">33</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

</div>
</div>
<a id="a955402624bb74807d16f6299e7f9fbc2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a955402624bb74807d16f6299e7f9fbc2">&#9670;&nbsp;</a></span>operator==() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstTrack::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_track.html">ConstTrack</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_const_8h_source.html#l00095">95</a> of file <a class="el" href="_track_const_8h_source.html">TrackConst.h</a>.</p>

</div>
</div>
<a id="a8a853bc37e8cce23815c04fc2f01158f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a853bc37e8cce23815c04fc2f01158f">&#9670;&nbsp;</a></span>operator==() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstTrack::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_track.html">Track</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00171">171</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

</div>
</div>
<a id="abf411330c8a783e7a3cec9dea4c280a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf411330c8a783e7a3cec9dea4c280a8">&#9670;&nbsp;</a></span>radiusOfInnermostHit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::ConstTrack::radiusOfInnermostHit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The radius of the innermost hit that has been used in the track fit. </p>

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00054">54</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_obj_8h_source.html#l00034">eic::TrackObj::data</a>, and <a class="el" href="_track_data_8h_source.html#l00020">eic::TrackData::radiusOfInnermostHit</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_const_8cc_source.html#l00020">ConstTrack()</a>, and <a class="el" href="_track_8cc_source.html#l00197">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a2f735936f4367eda715db1a73dd45edb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f735936f4367eda715db1a73dd45edb">&#9670;&nbsp;</a></span>tracks() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a> eic::ConstTrack::tracks </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00074">74</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_obj_8h_source.html#l00034">eic::TrackObj::data</a>, <a class="el" href="_track_obj_8h_source.html#l00035">eic::TrackObj::m_tracks</a>, <a class="el" href="_track_data_8h_source.html#l00022">eic::TrackData::tracks_begin</a>, and <a class="el" href="_track_const_8cc_source.html#l00070">tracks_size()</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_8cc_source.html#l00197">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a4cb5b21471b6b0c78afbfcdd73423d9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4cb5b21471b6b0c78afbfcdd73423d9c">&#9670;&nbsp;</a></span>tracks() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a> &gt; eic::ConstTrack::tracks </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00081">81</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_obj_8h_source.html#l00034">eic::TrackObj::data</a>, <a class="el" href="_track_obj_8h_source.html#l00035">eic::TrackObj::m_tracks</a>, <a class="el" href="_track_data_8h_source.html#l00022">eic::TrackData::tracks_begin</a>, and <a class="el" href="_track_data_8h_source.html#l00023">eic::TrackData::tracks_end</a>.</p>

</div>
</div>
<a id="a70732376727749c87dea6b3453af376f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70732376727749c87dea6b3453af376f">&#9670;&nbsp;</a></span>tracks_begin()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a> &gt;::const_iterator eic::ConstTrack::tracks_begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00058">58</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_obj_8h_source.html#l00034">eic::TrackObj::data</a>, <a class="el" href="_track_obj_8h_source.html#l00035">eic::TrackObj::m_tracks</a>, and <a class="el" href="_track_data_8h_source.html#l00022">eic::TrackData::tracks_begin</a>.</p>

</div>
</div>
<a id="a80fdcdc2d9f9dcb6cfc7a7c8907c8fa9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80fdcdc2d9f9dcb6cfc7a7c8907c8fa9">&#9670;&nbsp;</a></span>tracks_end()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a> &gt;::const_iterator eic::ConstTrack::tracks_end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00064">64</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_obj_8h_source.html#l00034">eic::TrackObj::data</a>, <a class="el" href="_track_obj_8h_source.html#l00035">eic::TrackObj::m_tracks</a>, and <a class="el" href="_track_data_8h_source.html#l00023">eic::TrackData::tracks_end</a>.</p>

</div>
</div>
<a id="aaa43ec8730eefbf00d888c269a8bc177"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa43ec8730eefbf00d888c269a8bc177">&#9670;&nbsp;</a></span>tracks_size()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ConstTrack::tracks_size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00070">70</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_obj_8h_source.html#l00034">eic::TrackObj::data</a>, <a class="el" href="_track_data_8h_source.html#l00022">eic::TrackData::tracks_begin</a>, and <a class="el" href="_track_data_8h_source.html#l00023">eic::TrackData::tracks_end</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_8cc_source.html#l00197">eic::operator&lt;&lt;()</a>, and <a class="el" href="_track_const_8cc_source.html#l00074">tracks()</a>.</p>

</div>
</div>
<a id="a44860c5b0826bb30137b0ef4ea9710c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44860c5b0826bb30137b0ef4ea9710c0">&#9670;&nbsp;</a></span>trackStates() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_track_state.html">eic::ConstTrackState</a> eic::ConstTrack::trackStates </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00138">138</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_obj_8h_source.html#l00034">eic::TrackObj::data</a>, <a class="el" href="_track_obj_8h_source.html#l00037">eic::TrackObj::m_trackStates</a>, <a class="el" href="_track_data_8h_source.html#l00026">eic::TrackData::trackStates_begin</a>, and <a class="el" href="_track_const_8cc_source.html#l00134">trackStates_size()</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_8cc_source.html#l00197">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="aaa94a6040214df7ee8f306284a72c2b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa94a6040214df7ee8f306284a72c2b9">&#9670;&nbsp;</a></span>trackStates() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_track_state.html">eic::ConstTrackState</a> &gt; eic::ConstTrack::trackStates </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00145">145</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_obj_8h_source.html#l00034">eic::TrackObj::data</a>, <a class="el" href="_track_obj_8h_source.html#l00037">eic::TrackObj::m_trackStates</a>, <a class="el" href="_track_data_8h_source.html#l00026">eic::TrackData::trackStates_begin</a>, and <a class="el" href="_track_data_8h_source.html#l00027">eic::TrackData::trackStates_end</a>.</p>

</div>
</div>
<a id="a213273456dcb183ccce6300f9556a880"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a213273456dcb183ccce6300f9556a880">&#9670;&nbsp;</a></span>trackStates_begin()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_track_state.html">eic::ConstTrackState</a> &gt;::const_iterator eic::ConstTrack::trackStates_begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00122">122</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_obj_8h_source.html#l00034">eic::TrackObj::data</a>, <a class="el" href="_track_obj_8h_source.html#l00037">eic::TrackObj::m_trackStates</a>, and <a class="el" href="_track_data_8h_source.html#l00026">eic::TrackData::trackStates_begin</a>.</p>

</div>
</div>
<a id="ae40041a60ede4076273db7f409a227c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae40041a60ede4076273db7f409a227c6">&#9670;&nbsp;</a></span>trackStates_end()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_track_state.html">eic::ConstTrackState</a> &gt;::const_iterator eic::ConstTrack::trackStates_end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00128">128</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_obj_8h_source.html#l00034">eic::TrackObj::data</a>, <a class="el" href="_track_obj_8h_source.html#l00037">eic::TrackObj::m_trackStates</a>, and <a class="el" href="_track_data_8h_source.html#l00027">eic::TrackData::trackStates_end</a>.</p>

</div>
</div>
<a id="a36c534077c53eed53c217d5421daa088"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36c534077c53eed53c217d5421daa088">&#9670;&nbsp;</a></span>trackStates_size()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ConstTrack::trackStates_size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_const_8cc_source.html#l00134">134</a> of file <a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_obj_8h_source.html#l00034">eic::TrackObj::data</a>, <a class="el" href="_track_data_8h_source.html#l00026">eic::TrackData::trackStates_begin</a>, and <a class="el" href="_track_data_8h_source.html#l00027">eic::TrackData::trackStates_end</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_8cc_source.html#l00197">eic::operator&lt;&lt;()</a>, and <a class="el" href="_track_const_8cc_source.html#l00138">trackStates()</a>.</p>

</div>
</div>
<a id="aae5dbec0adaa57b844076c618b5b80b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae5dbec0adaa57b844076c618b5b80b8">&#9670;&nbsp;</a></span>unlink()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ConstTrack::unlink </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>disconnect from <a class="el" href="classeic_1_1_track_obj.html">TrackObj</a> instance </p>

<p class="definition">Definition at line <a class="el" href="_track_const_8h_source.html#l00093">93</a> of file <a class="el" href="_track_const_8h_source.html">TrackConst.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_track_const_8h_source.html">TrackConst.h</a></li>
<li>src/<a class="el" href="_track_const_8cc_source.html">TrackConst.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
